package com.ruoyi.project.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 报警配置管理对象 t_alarmtype
 *
 * @author ruoyi
 * @date 2020-12-30
 */
public class TAlarmtype extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识id */
    private Long id;

    /** 装置 */
    @Excel(name = "装置", dictType = "PLANT_DIVIDE")
    private String plantCode;

    /** 表名称 */
    @Excel(name = "表名称")
    private String tableName;

    /** 预警字段名称 */
    @Excel(name = "预警字段名称")
    private String fieldName;

    /** 一级预警 */
    @Excel(name = "一级预警")
    private Long firstlevel;

    /** 二级预警 */
    @Excel(name = "二级预警")
    private Long secondlevel;

    /** 三级预警 */
    @Excel(name = "三级预警")
    private Long thirdlevel;

    /** 删除标识 */
    private Long delFlag;

    /** 创建人
 */
    private String createrCode;

    /** 创建日期 */
    private Date createdate;

    /** 更新人 */
    private String updaterCode;

    /** 更新日期 */
    private Date updatedate;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 是否启用 */
    private Long isOpen;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setTableName(String tableName)
    {
        this.tableName = tableName;
    }

    public String getTableName()
    {
        return tableName;
    }
    public void setFieldName(String fieldName)
    {
        this.fieldName = fieldName;
    }

    public String getFieldName()
    {
        return fieldName;
    }
    public void setFirstlevel(Long firstlevel)
    {
        this.firstlevel = firstlevel;
    }

    public Long getFirstlevel()
    {
        return firstlevel;
    }
    public void setSecondlevel(Long secondlevel)
    {
        this.secondlevel = secondlevel;
    }

    public Long getSecondlevel()
    {
        return secondlevel;
    }
    public void setThirdlevel(Long thirdlevel)
    {
        this.thirdlevel = thirdlevel;
    }

    public Long getThirdlevel()
    {
        return thirdlevel;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setIsOpen(Long isOpen) { this.isOpen = isOpen; }

    public Long getIsOpen() { return isOpen; }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("tableName", getTableName())
            .append("fieldName", getFieldName())
            .append("firstlevel", getFirstlevel())
            .append("secondlevel", getSecondlevel())
            .append("thirdlevel", getThirdlevel())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("deptName", getDeptName())
            .append("isOpen", getIsOpen())
            .toString();
    }
}
